      *
      * A simple transaction that converts from one currency to another.
      *
      * amount - is the value that you want converted
      *
      * country - is a code for the conversion operator
      *   1 - usd to cdn
      *   2 - cdn to usd
      *   3 - usd to euro
      *   4 - euro to usd
      *
      * result - this is where the result is returned, an invalid
      * country code will cause the result to alsways be zero
      *
       identification division.
       program-id. CONV.
       environment division.
       data division.
       working-storage section.
       LINKAGE SECTION.
       01  DFHCOMMAREA.
           02  amount    PIC S99999 DISPLAY.
           02  country   PIC S99999 DISPLAY.
           02  result    PIC S99999 DISPLAY.
       procedure division.
       start-para.
           compute result = 0
           evaluate country
             when 1
               compute result = amount * 1.5
             when 2
               compute result = amount / 1.5
             when 3
               compute result = amount * 1.1
             when 4
               compute result = amount / 1.1
           end-evaluate
           EXEC CICS RETURN
           END-EXEC.
